IntegrationsN1

Show one webhook endpoint of a company.

POST
/integrations/connections/{connection_id}/providers/n1/webhooks/get

Show one webhook endpoint of a company.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/n1/webhooks/get" \  -H "Content-Type: application/json" \  -d '{    "company_id": 1,    "endpoint_id": 1  }'
{  "id": 0,  "url": "https://api.adlass.io/v1/workflows/hooks/example",  "description": "example",  "events": [],  "enabled": false,  "consecutive_failures": 0}